org.apache.cassandra.db

## Class SimpleBuilders.MutationBuilder

- java.lang.Object
- - org.apache.cassandra.db.SimpleBuilders.MutationBuilder

All Implemented Interfaces:
  Mutation.SimpleBuilder

Enclosing class:
  SimpleBuilders

    public static class SimpleBuilders.MutationBuilder
    extends java.lang.Object
    implements Mutation.SimpleBuilder

### Constructor Summary

Constructors
Constructor and Description
`MutationBuilder(java.lang.String keyspaceName, DecoratedKey key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Mutation` `build()` Build the mutation represented by this builder.
`PartitionUpdate.SimpleBuilder` `update(CFMetaData metadata)` Adds an update for table identified by the provided metadata and return a builder for that partition.
`PartitionUpdate.SimpleBuilder` `update(java.lang.String tableName)` Adds an update for table identified by the provided name and return a builder for that partition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.Mutation.SimpleBuilder

`timestamp, ttl`

### Constructor Detail

#### MutationBuilder

    public MutationBuilder(java.lang.String keyspaceName,
                           DecoratedKey key)

### Method Detail

#### update

    public PartitionUpdate.SimpleBuilder update(CFMetaData metadata)

Description copied from interface: `Mutation.SimpleBuilder`
Adds an update for table identified by the provided metadata and return a builder for that partition.

Specified by:
  `update` in interface `Mutation.SimpleBuilder`
Parameters:
  `metadata` - the metadata of the table for which to add an update.
Returns:
  a builder for the partition identified by `metadata` (and the partition key for which this is a mutation of).

#### update

    public PartitionUpdate.SimpleBuilder update(java.lang.String tableName)

Description copied from interface: `Mutation.SimpleBuilder`
Adds an update for table identified by the provided name and return a builder for that partition.

Specified by:
  `update` in interface `Mutation.SimpleBuilder`
Parameters:
  `tableName` - the name of the table for which to add an update.
Returns:
  a builder for the partition identified by `metadata` (and the partition key for which this is a mutation of).

#### build

    public Mutation build()

Description copied from interface: `Mutation.SimpleBuilder`
Build the mutation represented by this builder.

Specified by:
  `build` in interface `Mutation.SimpleBuilder`
Returns:
  the built mutation.